QXmpp: QXmppMixParticipantItem Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppMixParticipantItem Class Reference
Stanzas
Inheritance diagram for QXmppMixParticipantItem:

## Public Member Functions
| QXmppMixParticipantItem (const QXmppMixParticipantItem &)
| Default copy-constructor.
| QXmppMixParticipantItem (QXmppMixParticipantItem &&)
| Default move-constructor.
QXmppMixParticipantItem & | operator= (const QXmppMixParticipantItem &)
| Default assignment operator.
QXmppMixParticipantItem & | operator= (QXmppMixParticipantItem &&)
| Default move-assignment operator.
const QString & | nick () const
void | setNick (QString)
const QString & | jid () const
void | setJid (QString)
Public Member Functions inherited from QXmppPubSubBaseItem
| QXmppPubSubBaseItem (const QString &id={}, const QString &publisher={})
| QXmppPubSubBaseItem (const QXmppPubSubBaseItem &) noexcept
| Default copy-constructor.
| QXmppPubSubBaseItem (QXmppPubSubBaseItem &&) noexcept
| Default move-constructor.
QXmppPubSubBaseItem & | operator= (const QXmppPubSubBaseItem &) noexcept
| Default assignment operator.
QXmppPubSubBaseItem & | operator= (QXmppPubSubBaseItem &&) noexcept
| Default move-assignment operator.
QString | id () const
void | setId (const QString &id)
QString | publisher () const
void | setPublisher (const QString &publisher)

## Static Public Member Functions
static bool | isItem (const QDomElement &)
Static Public Member Functions inherited from QXmppPubSubBaseItem
static bool | isItem (const QDomElement &element)

## Additional Inherited Members
Protected Member Functions inherited from QXmppPubSubBaseItem
virtual void | parsePayload (const QDomElement &payloadElement)
virtual void | serializePayload (QXmlStreamWriter *writer) const
Static Protected Member Functions inherited from QXmppPubSubBaseItem
template<typename PayloadChecker>
static bool | isItem (const QDomElement &element, PayloadChecker isPayloadValid)

## Detailed Description

The QXmppMixParticipantItem class represents a PubSub item of a MIX channel participant as defined by XEP-0369: Mediated Information eXchange (MIX).

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ isItem()

bool QXmppMixParticipantItem::isItem | ( | const QDomElement & | element | ) |
| static

Returns true, if this dom element is a MIX participant item.

## ◆ jid()

const QString & QXmppMixParticipantItem::jid | ( |  | ) | const

Returns the participant's JID.

## ◆ nick()

const QString & QXmppMixParticipantItem::nick | ( |  | ) | const

Returns the participant's nickname.

## ◆ setJid()

void QXmppMixParticipantItem::setJid | ( | QString | jid | ) |

Sets the participant's JID.

## ◆ setNick()

void QXmppMixParticipantItem::setNick | ( | QString | nick | ) |

Sets the participants nickname.

The documentation for this class was generated from the following files:

- QXmppMixParticipantItem.h
- QXmppMixItems.cpp